freemarker.template.utility

## Interface ObjectFactory<T>

    public interface ObjectFactory<T>

Used for the trivial cases of the factory pattern. Has a generic type argument since 2.3.24.

Since:
  2.3.22

### Method Summary

All Methods Instance Methods Abstract Methods
`T` `createObject()`

### Method Detail

#### createObject

    T createObject()
            throws Exception

Throws:
  `Exception`